<script setup lang="ts">
import PostList from '@/components/PostList.vue';

</script>

<template>

  <section class="welcome">
    <div class="hero-bg mb-3"><span id="welcome-txt">WELCOME</span></div>
    <h1>WE MEET AT MIDNIGHT <br></h1>
    <h2>book club</h2>
  </section>
  <!-- CSS A RETOUCHER POUR CENTRER BOUTON SUR LA PAGE <router-link class="nice-button" to="/signup">Sign up</router-link> -->
  <main>
    <PostList />
  </main>

</template>

<style scoped>
.welcome {
  display: flex;
  justify-content: center;
  flex-direction: column;
}


.hero-bg {
  height: 350px;
  width: 100%;
  background-image: url("/src/assets/blogheader.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: -1;
}

#welcome-txt {
  font-size: 100px;
  font-weight: 900;
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
</style>
